var FccflManager = {


	init : function($in){

		this.livre = 0;
		this.franccfl = 0;
		this.operationslivre = 0;
		this.operationsfranccfl = 0;

		this.$london = $('<div/>',{class:'fccfl-london'})
			.append($('<img/>',{src:'img/london.png',class:'fccfl-london-background'}))
			.append($('<span/>',{
				class:'fccfl-london-disp',
				"data-currency" : "livre",
				"data-user" : 8,
				draggable:true,
				ondragstart:"FccflManager.drag(event,$(this))",
				ondrop:"FccflManager.dropLivre(event)",
				ondragover:"FccflManager.allowDrop(event)"
			}).text(this.livre));
		this.$brazzaville = $('<div/>',{class:'fccfl-brazzaville'})
			.append($('<img/>',{src:'img/brazzaville.png',class:'fccfl-brazzaville-background'}))
			.append($('<span/>',{
				class:'fccfl-brazzaville-disp',
				"data-currency" : "franccfl",
				"data-user" : 9,
				draggable:true,
				ondragstart:"FccflManager.drag(event,$(this))",
				ondrop:"FccflManager.dropFranccfl(event)",
				ondragover:"FccflManager.allowDrop(event)"
			}).text(this.franccfl));
		this.$operations = $('<div/>',{class:'fccfl-operations'})
			.append($('<img/>',{src:'img/operations.png',class:'fccfl-operations-background'}))
			.append($('<span/>',{
				class:'fccfl-operations-disp-livre',
				"data-currency" : "livre",
				"data-user" : 10,
				draggable:true,
				ondragstart:"FccflManager.drag(event,$(this))",
				ondrop:"FccflManager.dropOpLivre(event)",
				ondragover:"FccflManager.allowDrop(event)"
			}).text(this.operationslivre))
			.append($('<span/>',{
				class:'fccfl-operations-disp-franccfl',
				"data-currency" : "franccfl",
				"data-user" : 11,
				draggable:true,
				ondragstart:"FccflManager.drag(event,$(this))",
				ondrop:"FccflManager.dropOpFranccfl(event)",
				ondragover:"FccflManager.allowDrop(event)"
			}).text(this.operationsfranccfl));

		this.$elem = $('<div/>',{class:'fccfl'}).append(this.$london).append(this.$brazzaville).append(this.$operations).appendTo($in);

		this.listen();

	},

	drag : function(e,that){
		console.log(e);
		e.dataTransfer.setData("user", that.attr('data-user'));
		e.dataTransfer.setData("currency", that.attr('data-currency'));
		e.dataTransfer.setData("amount", that.text());
	},

	dropOpLivre : function(e){
	    e.preventDefault();
	    var user = e.dataTransfer.getData("user");
	    var currency = e.dataTransfer.getData("currency");
	    var amount = e.dataTransfer.getData("amount");
	    console.log(user);
	    if(user>=8){
	    	if(currency=='livre'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.operationslivre += data;
	    			}
				    FccflManager.update();
	    		});	
	    	}else if(currency=='franccfl'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.operationslivre += (data/200);
	    			}
				    FccflManager.update();
	    		});
	    	}
	    }else{
		    if(currency=='livre'){
		    	console.log(user,currency,amount);
		    	if(YearManager.actual<1942&&user==0){
		    		app.ask(8,function(data){
		    			if(data<=amount){
		    				app.users[user].livre -= data;
		    				FccflManager.operationslivre += data;
		    			}
					    FccflManager.update();
					    UsersManager.update(user);
		    		});	
		    	}else if(YearManager.actual>=1942){
		    		app.ask(8,function(data){
		    			if(data<=amount){
		    				app.users[user].livre -= data;
		    				FccflManager.operationslivre += data;
		    			}
					    FccflManager.update();
					    UsersManager.update(user);
		    		});	
		    	}
		    }
	    }
	},

	dropOpFranccfl : function(e){
	    e.preventDefault();
	    var user = e.dataTransfer.getData("user");
	    var currency = e.dataTransfer.getData("currency");
	    var amount = e.dataTransfer.getData("amount");
	    if(user>=8&&YearManager.actual>=1942){
	    	if(currency=='livre'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.operationsfranccfl += (data*200);
	    			}
				    FccflManager.update();
	    		});	
	    	}else if(currency=='franccfl'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.operationsfranccfl += data;
	    			}
				    FccflManager.update();
	    		});
	    	}
	    }else{
		    if(currency=='franccfl'&&YearManager.actual>=1942){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				app.users[user].franccfl -= data;
	    				FccflManager.operationsfranccfl += data;
	    			}
				    FccflManager.update();
				    UsersManager.update(user);
	    		});	
		    }
		}
	},

	dropLivre : function(e){
	    e.preventDefault();
	    var user = e.dataTransfer.getData("user");
	    var currency = e.dataTransfer.getData("currency");
	    var amount = e.dataTransfer.getData("amount");
	   	if(user>=8){
	    	if(currency=='livre'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.livre += data;
	    			}
				    FccflManager.update();
	    		});	
	    	}else if(currency=='franccfl'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.livre += (data/200);
	    			}
				    FccflManager.update();
	    		});
	    	}
	    }else{
		    if(currency=='livre'){
		    	console.log(user,currency,amount);
		    	if(YearManager.actual<1942&&user==0){
		    		app.ask(8,function(data){
		    			if(data<=amount){
		    				app.users[user].livre -= data;
		    				FccflManager.livre += data;
		    			}
					    FccflManager.update();
					    UsersManager.update(user);
		    		});	
		    	}else if(YearManager.actual>=1942){
		    		app.ask(8,function(data){
		    			if(data<=amount){
		    				app.users[user].livre -= data;
		    				FccflManager.livre += data;
		    			}
					    FccflManager.update();
					    UsersManager.update(user);
		    		});	
		    	}
		    }
		}
	},

	dropFranccfl : function(e){
	    e.preventDefault();
	    var user = e.dataTransfer.getData("user");
	    var currency = e.dataTransfer.getData("currency");
	    var amount = e.dataTransfer.getData("amount");
	    if(user>=8&&YearManager.actual>=1942){
	    	if(currency=='livre'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.franccfl += (data*200);
	    			}
				    FccflManager.update();
	    		});	
	    	}else if(currency=='franccfl'){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				switch(user){
	    					case "8":
	    						FccflManager.livre -= data;
	    						break;
	    					case "9":
	    						FccflManager.franccfl -= data;
	    						break;
	    					case "10":
	    						FccflManager.operationslivre -= data;
	    						break;
	    					case "11":
	    						FccflManager.operationsfranccfl -= data;
	    						break;
	    				}
	    				FccflManager.franccfl += data;
	    			}
				    FccflManager.update();
	    		});
	    	}
	    }else{
	    	if(currency=='franccfl'&&YearManager.actual>=1942){
	    		app.ask(8,function(data){
	    			if(data<=amount){
	    				app.users[user].franccfl -= data;
	    				FccflManager.franccfl += data;
	    			}
				    FccflManager.update();
				    UsersManager.update(user);
	    		});	
		    }
		}
	},

	allowDrop : function(e){
		e.preventDefault();
	},

	update : function(){
		$('span.fccfl-london-disp').text(app.displayInt(this.livre));
		$('span.fccfl-brazzaville-disp').text(app.displayInt(this.franccfl));
		$('span.fccfl-operations-disp-livre').text(app.displayInt(this.operationslivre));
		$('span.fccfl-operations-disp-franccfl').text(app.displayInt(this.operationsfranccfl));
	},

	listen : function(){
		// this.$operations.click(function(e){
		// 	e.preventDefault();
		// 	var newValue = parseInt($('span.fccfl-operations-disp').text()) + 1;
		// 	$('span.fccfl-operations-disp').text(newValue);
		// });
		$('span.fccfl-operations-disp-livre').click(function(e){
			e.preventDefault();
			app.ask(9,function(data){
				if((FccflManager.operationslivre-data)>=0){
					FccflManager.operationslivre -= data;
					FccflManager.update();
				}
			});
		});
		$('span.fccfl-operations-disp-franccfl').click(function(e){
			e.preventDefault();
			app.ask(9,function(data){
				if((FccflManager.operationsfranccfl-data)>=0){
					FccflManager.operationsfranccfl -= data;
					FccflManager.update();
				}
			});
		});
		this.$brazzaville.click(function(e){
			e.preventDefault();
			app.ask(9,function(data){
				if((FccflManager.franccfl-data)>=0){
					FccflManager.franccfl -= data;
					FccflManager.update();
				}
			});
		});	
		this.$london.click(function(e){
			e.preventDefault();
			app.ask(9,function(data){
				if((FccflManager.livre-data)>=0){
					FccflManager.livre -= data;
					FccflManager.update();
				}
			});
		});	
	}

}