var PlevenManager = {


	init : function($in){

		this.livre = 0;
		this.franc = 0;
		this.franccfl = 0;

		this.$elem = $('<div/>',{class:'pleven',ondrop:"PlevenManager.drop(event)",ondragover:"PlevenManager.allowDrop(event)"}).append($('<img/>',{src:'img/pleven.png',class:'pleven-background'})).appendTo($in);
		this.$livre = $('<span/>',{class:'pleven-livre-disp',"data-currency":'livre',draggable:true,ondragstart:"PlevenManager.drag(event,$(this))"}).text(this.livre).appendTo(this.$elem);
		this.$franc = $('<span/>',{class:'pleven-franc-disp',"data-currency":'franc',draggable:true,ondragstart:"PlevenManager.drag(event,$(this))"}).text(this.franc).appendTo(this.$elem);
		this.$franccfl = $('<span/>',{class:'pleven-franccfl-disp',"data-currency":'franccfl',draggable:true,ondragstart:"PlevenManager.drag(event,$(this))"}).text(this.franccfl).appendTo(this.$elem);
		this.listen();
	},

	drag : function(e,that){
		e.dataTransfer.setData("currency", that.attr('data-currency'));
		e.dataTransfer.setData("amount", parseInt(that.text()));
	},

	drop : function(e){
	    e.preventDefault();
	    var user = e.dataTransfer.getData("user");
	    var currency = e.dataTransfer.getData("currency");
	    var amount = e.dataTransfer.getData("amount");
	    app.ask(8,function(data){
	    	console.log(currency);
	    	if(data<=amount&&currency=='livre'){
	    		PlevenManager.livre += data;
	    		app.users[user].livre -= data;
	    	}else if(data<=amount&&currency=='franc'){
	    		PlevenManager.franc += data;
	    		app.users[user].franc -= data;
	    	}else if(data<=amount&&currency=='franccfl'&&YearManager.actual>=1942){
	    		PlevenManager.franccfl += data;
	    		app.users[user].franccfl -= data;
	    	}
	    	PlevenManager.update();
	    	UsersManager.update(user);
	    });
	},

	allowDrop : function(e){
		e.preventDefault();
	},

	update : function(e){
		$('span.pleven-livre-disp').text(app.displayInt(this.livre));
		$('span.pleven-franc-disp').text(app.displayInt(this.franc));
		$('span.pleven-franccfl-disp').text(app.displayInt(this.franccfl));
	},

	listen : function(){
		// this.$livre.click(function(e){
		// 	e.preventDefault();
		// 	app.ask(1,function(data){
		// 		var newValue = parseInt($('span.pleven-livre-disp').text()) + data;
		// 		$('span.pleven-livre-disp').text(newValue);
		// 	});
		// });
		// this.$franc.click(function(e){
		// 	e.preventDefault();
		// 	app.ask(5,function(data){
		// 		var newValue = parseInt($('span.pleven-franc-disp').text()) + data;
		// 		$('span.pleven-franc-disp').text(newValue);
		// 	});
		// });
		// this.$francccfl.click(function(e){
		// 	e.preventDefault();
		// 	app.ask(4,function(data){
		// 		var newValue = parseInt($('span.pleven-francccfl-disp').text()) + data;
		// 		$('span.pleven-francccfl-disp').text(newValue);
		// 	});
		// });
	}

} 